Update a specific price list - Fabric

Update a specific price list

cURL

curl --request PUT \
  --url https://live.copilot.fabric.inc/api-offers/price-list/{priceListId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '\n{\n  "name": "BuildMuscles-CONTRACT123",\n  "isDefault": false,\n  "currency": "CAD",\n  "startDate": "2021-05-04T09:23:51.459Z",\n  "endDate": "2021-06-09T09:23:51.459Z"\n}\n'

Python

import requests

url = "https://live.copilot.fabric.inc/api-offers/price-list/{priceListId}"

payload = {
    "name": "BuildMuscles-CONTRACT123",
    "isDefault": False,
    "currency": "CAD",
    "startDate": "2021-05-04T09:23:51.459Z",
    "endDate": "2021-06-09T09:23:51.459Z"
}
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch API)

const options = {
  method: 'PUT',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    name: 'BuildMuscles-CONTRACT123',
    isDefault: false,
    currency: 'CAD',
    startDate: '2021-05-04T09:23:51.459Z',
    endDate: '2021-06-09T09:23:51.459Z'
  })
};

fetch('https://live.copilot.fabric.inc/api-offers/price-list/{priceListId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Codes

JSON Responses

Successful Response:

{
  "_id": "614b58924e92f6861ac9d43b",
  "priceListId": 10000003,
  "name": "BuildMuscles-CONTRACT123",
  "isDefault": false,
  "currency": "CAD",
  "startDate": "2021-05-04T09:23:51.459Z",
  "endDate": "2021-06-09T09:23:51.459Z",
  "deleted": false,
  "createdAt": "2020-12-14T12:15:43.646Z",
  "updatedAt": "2021-12-14T12:15:43.646Z"
}

Error Responses:

  1. Price List Not Found:
{
  "code": "PRICE_LIST_NOT_FOUND",
  "message": "No Price List with this ID Found"
}
  1. Invalid Currency Code:
{
  "code": "INVALID_CURRENCY_CODE",
  "message": "Invalid Currency Code Entered"
}
  1. Internal Server Error:
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error."
}